# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`pe_backup`](#pe_backup): This class manages the scirpt and cron job to backup Puppet Enterprise

#### Private Classes

* `pe_backup::install`: Class that manages the backup script. Should not be used directly.
* `pe_backup::service`: Class that manages the cron job to run the backup script. Should not be used directly.

## Classes

### <a name="pe_backup"></a>`pe_backup`

This class manages the scirpt and cron job to backup Puppet Enterprise

#### Parameters

The following parameters are available in the `pe_backup` class:

* [`destination`](#-pe_backup--destination)
* [`gpg_key_id`](#-pe_backup--gpg_key_id)
* [`gpg_key_server`](#-pe_backup--gpg_key_server)
* [`script_user`](#-pe_backup--script_user)
* [`script_group`](#-pe_backup--script_group)
* [`umask`](#-pe_backup--umask)
* [`script_path`](#-pe_backup--script_path)
* [`cron_hour`](#-pe_backup--cron_hour)
* [`cron_minute`](#-pe_backup--cron_minute)
* [`cron_weekday`](#-pe_backup--cron_weekday)

##### <a name="-pe_backup--destination"></a>`destination`

Data type: `Stdlib::Absolutepath`

The path to the backup destination.

##### <a name="-pe_backup--gpg_key_id"></a>`gpg_key_id`

Data type: `Optional[String]`

if specified, the backup will be encrypted usingthis GPG public key.

Default value: `undef`

##### <a name="-pe_backup--gpg_key_server"></a>`gpg_key_server`

Data type: `String`

When usin GPG, this is the keyserver used to retrieve the GPG public key.

##### <a name="-pe_backup--script_user"></a>`script_user`

Data type: `String`

The user to run the backup script as.

##### <a name="-pe_backup--script_group"></a>`script_group`

Data type: `String`

The group to run the backup script as.

##### <a name="-pe_backup--umask"></a>`umask`

Data type: `String`

The umask to run the backup script as.

##### <a name="-pe_backup--script_path"></a>`script_path`

Data type: `Stdlib::Absolutepath`

Absolute path and filename for the bacup script

##### <a name="-pe_backup--cron_hour"></a>`cron_hour`

Data type: `String`

Backup cronjob hour

##### <a name="-pe_backup--cron_minute"></a>`cron_minute`

Data type: `String`

Backup cronjob minute

##### <a name="-pe_backup--cron_weekday"></a>`cron_weekday`

Data type: `String`

Backup cronjob weekday

